@charset "UTF-8";
/**
@author: Healyum
@date: 07/06/2021
 */

/********************************/
/*          General             */
/********************************/

body {
    height: 100%;
    width: 100%;
    font-family: 'Source Sans Pro', sans-serif;
    padding: 0;
    margin: 0;
}

html, body { 
    max-width: 100% !important; 
    overflow-x: hidden !important; 
} 

#toPresentator, #message-send, #chatbox
{
	z-index: 1898;
	position: relative;
}

  .flower1 {
    position: absolute;
    width: 65px;
    height: 65px;
	opacity: 0.65;
    background-image: url('/images/summer/fleurs.png'); /* Remplacez l'URL par l'image de votre fleur */
    background-size: cover;
    z-index: 1897;
	 -moz-user-select: none; /* Firefox */
	 -webkit-user-select: none; /* Chrome, Safari, Opéra depuis la version 15 */
	 -ms-user-select: none; /* Internet explorer depuis la version 10 et Edge */
	 user-select: none; /* Propriété standard */
  }

  .flower2 {
    position: absolute;
    width: 50px;
    height: 50px;
	opacity: 0.65;
    background-image: url('/images/summer/fleurs2.png'); /* Remplacez l'URL par l'image de votre fleur */
    background-size: cover;
    z-index: 1897;
	 -moz-user-select: none; /* Firefox */
	 -webkit-user-select: none; /* Chrome, Safari, Opéra depuis la version 15 */
	 -ms-user-select: none; /* Internet explorer depuis la version 10 et Edge */
	 user-select: none; /* Propriété standard */
  }
  
    .flower3 {
    position: absolute;
    width: 50px;
    height: 120px;
	opacity: 0.65;
    background-image: url('/images/summer/fleurs3.png'); /* Remplacez l'URL par l'image de votre fleur */
    background-size: cover;
    z-index: 1897;
	 -moz-user-select: none; /* Firefox */
	 -webkit-user-select: none; /* Chrome, Safari, Opéra depuis la version 15 */
	 -ms-user-select: none; /* Internet explorer depuis la version 10 et Edge */
	 user-select: none; /* Propriété standard */
  }
.divRoundBottom
{
	border-radius: 0px 0px 15px 15px;	
}


.imgToIA
{
	border-radius: 3px 3px 3px 3px;
	border : 1px solid white;
}

		#tooltip
		{
			background-color: #F99;
			color: #500;
			padding: 3px;
			font-weight: bold;
			border-radius: 3px 3px 3px 3px;
			position: absolute;
			left: -100px;
			top: -100px;
			z-index: 9999;
		}
		
		#tooltipQCM
		{
			background-color: #F99;
			color: #500;
			padding: 3px;
			font-weight: bold;
			border-radius: 3px 3px 3px 3px;
			position: absolute;
			left: -100px;
			top: -100px;
			width:500px;
			z-index: 9999;
		}

	#fond-public
	{
		background-image : url('../images/fond-public.png');
		background-repeat: no-repeat;
		background-position: top center;
		background-color : black;
	}

.game {
    /*height: 100vh;*/
    width: 100%;
    background: rebeccapurple;
    margin: 0 auto;
	box-shadow: #fff 0px 0px 40px;
	border-radius: 0px 0px 5px 5px;
}

.game-title
{
	height: 80px;
	border-radius: 5px 5px 0px 0px;
	box-shadow: #fff 0px 0px 0px;
	padding-top: 18px;
	padding-bottom: 18px;
}

.title_noel
{
	background: rgb(255,255,255);
	background: linear-gradient(90deg, rgba(23,38,12,1) 0%, rgba(9,121,17,1) 32%, rgba(255,0,0,1) 100%);
}

#classement-liste
{
	max-height: 190px;
	width: 418px;
	flex-flow: column wrap;
	display: flex;
	position: relative;
}

/* Est en train d'écrire */

#writingCurrentContainer
{
	color: white;
}

/* PC */
 @media (min-width: 1191px) {
	 
	.left, .right {
    display: inline-block;
    vertical-align: top;
    width: 46%;
	
	}

	.game-title h1
	{
	color: white;
	font-size: 2.6em;
	text-align : center;
	text-shadow: #000 2px 2px 1px;
	font-family: 'Acme', sans-serif;
	}

	#animation-presentateur
	{
		width: 288px;
		height: 216px;
	}
	 
	 #fermer-quiz
	 {
		 position:relative; 
		 float:right;
		 margin-top: -75px;
	 }
}

/* tablets */
 @media (min-width: 992px) and (max-width: 1190px) {
	
	/*
	.left, .right {
    display: inline-block;
    vertical-align: top;
    width: 49%;
	}
	*/
	
	.left, .right {
    display: inline-block;
    vertical-align: top;
    width: 95%;
	margin-left:2%;
	}
	
	.game-title h1
	{
	color: white;
	font-size: 2.6em;
	text-align : center;
	text-shadow: #000 2px 2px 1px;
	font-family: 'Acme', sans-serif;
	}
	
	#animation-presentateur
	{
		width: 288px;
		height: 216px;
	}
	
	 #fermer-quiz
	 {
		 position:relative; 
		 float:right;
		 margin-top: -74px;
	 }
	 
}

/* only small tablets */
 @media (min-width: 768px) and (max-width: 991px) {
	 
	.left, .right {
    display: inline-block;
    vertical-align: top;
    width: 95%;
	margin-left:2%;
	}

	.game-title h1
	{
	color: white;
	font-size: 2em;
	text-align : center;
	text-shadow: #000 2px 2px 1px;
	font-family: 'Acme', sans-serif;
	}	
	
	#animation-presentateur
	{
		width: 240px;
		height: 180px;
	}
	 
	 
	 	 #fermer-quiz
	 {
		 position:relative; 
		 float:right;
		 margin-top: -64px;
	 }
}

/* mobile or only mobile */
 @media (max-width: 767px) {
	 
	.left, .right {
    display: inline-block;
    vertical-align: top;
    width: 99%;
	margin-left:0.5%;
	}
	.game-title h1
	{
	color: white;
	font-size: 1.8em;
	margin-top: 8px;
	text-align : center;
	text-shadow: #000 2px 2px 1px;
	font-family: 'Acme', sans-serif;
	}
	
	#animation-presentateur
	{
		width: 192px;
		height: 144px;
	}
	
     #fermer-quiz
	 {
		 position:relative; 
		 float:right;
		 margin-top: -68px;
	 }
	 
}

/********************************/
/* Presenter and its animations */
/********************************/

/* PC */
 @media (min-width: 1191px) {

	.game-presenter {
	
	width:288px;
	height:216px;
    margin-left: 1rem;
    margin-top: 1rem; 
    /*animation: game-presenter-animation 5s infinite;*/
    /*animation-timing-function: ease-in-out;*/
    position: relative;
	
	}
}
 
 /* tablets */
 @media (min-width: 992px) and (max-width: 1190px) {
 	.game-presenter {
	
	width:288px;
	height:216px;
    margin-left: 1rem;
    margin-top: 1rem; 
    /*animation: game-presenter-animation 5s infinite;*/
    /*animation-timing-function: ease-in-out;*/
    position: relative;
	
	}
 }
 
 /* only small tablets */
 @media (min-width: 768px) and (max-width: 991px) {
 	.game-presenter {
	
	width:240px;
	height:180px;
    margin-left: 1rem;
    margin-top: 1rem; 
    /*animation: game-presenter-animation 5s infinite;*/
    /*animation-timing-function: ease-in-out;*/
    position: relative;
	
	}
 }
 
 /* mobile or only mobile */
 @media (max-width: 767px) {
 	.game-presenter {
	
	width:192px;
	height:144px;
    margin-left: 1rem;
    margin-top: 1rem; 
    /*animation: game-presenter-animation 5s infinite;*/
    /*animation-timing-function: ease-in-out;*/
    position: relative;
	
	}
 }

.game-presenter-video {
	border-radius: 10px;
    border: solid 10px #a96dbb;
	background-color : #a96dbb;
    /*   border: solid 10px #a96dbb;  */
}

@keyframes game-presenter-animation {
    0% {
        border: solid 10px #a96dbb;
    }
    50% {
        border: solid 10px #ac57a0;
    }
    100% {
        border: solid 10px #a96dbb;
    }
}
/**
 * Not used
 * Animation of a new question
 * animation: game-presenter-new-question-animation 0.4s infinite;
 * animation-timing-function: linear;
 */
@keyframes game-presenter-new-question-animation {
    /*
	0% {
        border: solid 10px white;
    }
    50% {
        border: solid 10px #e8e815;
    }
    100% {
        border: solid 10px white;
    }
	*/
}

/********************************/
/*      Progress Bar Chrono     */
/********************************/

.progress-circle{
  position: relative;             /* pour servir de référent */
  box-sizing: border-box;         /* prise en compte bordure dans la dimension */
  font-size: 4em;                 /* pour définir les dimensions */
  width: 1em;                     /* fixe la largeur */
  height: 1em;                    /* fixe la hauteur */
  border-radius: 50%;             /* rendu aspect circulaire */
  border: .15em solid #CDE;       /* couleur de fond de l'anneau */
  background-color: #FFF;         /* couleur de fond de la progress bar */
  z-index: 1899;
}

.progress-circle[data-value='40']{
	display: none;
}

.progress-masque {
  position: absolute;
  width: 1em;                     /* 100% de la largeur */
  height: 1em;                    /* 100% de la hauteur */
  left: -.15em;                   /* décalage de la largeur bordure de la gauge */
  top: -.15em;                    /* décalage de la largeur bordure de la gauge */
  clip: rect(0, 1em, 1em, .5em);  /* par défaut seule la partie droite est visible */
}

.progress-circle[data-value='19'] .progress-masque,
.progress-circle[data-value='18'] .progress-masque,
.progress-circle[data-value='17'] .progress-masque,
.progress-circle[data-value='16'] .progress-masque,
.progress-circle[data-value='15'] .progress-masque,
.progress-circle[data-value='14'] .progress-masque,
.progress-circle[data-value='13'] .progress-masque,
.progress-circle[data-value='12'] .progress-masque,
.progress-circle[data-value='11'] .progress-masque,
.progress-circle[data-value='10'] .progress-masque,
.progress-circle[data-value='09'] .progress-masque,
.progress-circle[data-value='08'] .progress-masque,
.progress-circle[data-value='07'] .progress-masque,
.progress-circle[data-value='06'] .progress-masque,
.progress-circle[data-value='05'] .progress-masque,
.progress-circle[data-value='04'] .progress-masque,
.progress-circle[data-value='03'] .progress-masque,
.progress-circle[data-value='02'] .progress-masque,
.progress-circle[data-value='01'] .progress-masque,
.progress-circle[data-value='00'] .progress-masque
{
  clip: rect(auto, auto, auto, auto);
}

.progress-barre,
.progress-sup50 {
  position: absolute;
  box-sizing: border-box;         /* prise en compte bordure dans la dimension */
  border-width: .15em;            /* largeur bordure de la gauge */
  border-style: solid;
  border-color: #069;
  border-radius: 50%;             /* rendu aspect circulaire */
  width: 1em;                     /* largeur à 100% */
  height: 1em;                    /* hauteur à 100% */
  clip: rect(0, .5em, 1em, 0);    /* on ne garde que la partie gauche */
}

.progress-sup50 {
  display: none;
  clip: rect(0, 1em, 1em, .5em);
}

.progress-circle[data-value='19'] .progress-sup50,
.progress-circle[data-value='18'] .progress-sup50,
.progress-circle[data-value='17'] .progress-sup50,
.progress-circle[data-value='16'] .progress-sup50,
.progress-circle[data-value='15'] .progress-sup50,
.progress-circle[data-value='14'] .progress-sup50,
.progress-circle[data-value='13'] .progress-sup50,
.progress-circle[data-value='12'] .progress-sup50,
.progress-circle[data-value='11'] .progress-sup50,
.progress-circle[data-value='10'] .progress-sup50,
.progress-circle[data-value='09'] .progress-sup50,
.progress-circle[data-value='08'] .progress-sup50,
.progress-circle[data-value='07'] .progress-sup50,
.progress-circle[data-value='06'] .progress-sup50,
.progress-circle[data-value='05'] .progress-sup50,
.progress-circle[data-value='04'] .progress-sup50,
.progress-circle[data-value='03'] .progress-sup50,
.progress-circle[data-value='02'] .progress-sup50,
.progress-circle[data-value='01'] .progress-sup50,
.progress-circle[data-value='00'] .progress-sup50
{
  display: block;
}
.progress-circle[data-value="40"]   .progress-barre {transform: rotate(0.00deg)}
.progress-circle[data-value="39"]   .progress-barre {transform: rotate(9.00deg)}
.progress-circle[data-value="38"]   .progress-barre {transform: rotate(18.00deg)}
.progress-circle[data-value="37"]   .progress-barre {transform: rotate(27.00deg)}
.progress-circle[data-value="36"]   .progress-barre {transform: rotate(36.00deg)}
.progress-circle[data-value="35"]   .progress-barre {transform: rotate(45.00deg)}
.progress-circle[data-value="34"]   .progress-barre {transform: rotate(54.00deg)}
.progress-circle[data-value="33"]   .progress-barre {transform: rotate(63.00deg)}
.progress-circle[data-value="32"]   .progress-barre {transform: rotate(72.00deg)}
.progress-circle[data-value="31"]   .progress-barre {transform: rotate(81.00deg)}
.progress-circle[data-value="30"]   .progress-barre {transform: rotate(90.00deg)}
.progress-circle[data-value="29"]   .progress-barre {transform: rotate(99.00deg)}
.progress-circle[data-value="28"]   .progress-barre {transform: rotate(108.00deg)}
.progress-circle[data-value="27"]   .progress-barre {transform: rotate(117.00deg)}
.progress-circle[data-value="26"]   .progress-barre {transform: rotate(126.00deg)}
.progress-circle[data-value="25"]   .progress-barre {transform: rotate(135.00deg)}
.progress-circle[data-value="24"]   .progress-barre {transform: rotate(144.00deg)}
.progress-circle[data-value="23"]   .progress-barre {transform: rotate(153.00deg)}
.progress-circle[data-value="22"]   .progress-barre {transform: rotate(162.00deg)}
.progress-circle[data-value="21"]   .progress-barre {transform: rotate(171.00deg)}
.progress-circle[data-value="20"]   .progress-barre {transform: rotate(180.00deg)}
.progress-circle[data-value="19"]   .progress-barre {transform: rotate(189.00deg)}
.progress-circle[data-value="18"]   .progress-barre {transform: rotate(198.00deg)}
.progress-circle[data-value="17"]   .progress-barre {transform: rotate(207.00deg)}
.progress-circle[data-value="16"]   .progress-barre {transform: rotate(216.00deg)}
.progress-circle[data-value="15"]   .progress-barre {transform: rotate(225.00deg)}
.progress-circle[data-value="14"]   .progress-barre {transform: rotate(234.00deg)}
.progress-circle[data-value="13"]   .progress-barre {transform: rotate(243.00deg)}
.progress-circle[data-value="12"]   .progress-barre {transform: rotate(252.00deg)}
.progress-circle[data-value="11"]   .progress-barre {transform: rotate(261.00deg)}
.progress-circle[data-value="10"]   .progress-barre {transform: rotate(270.00deg)}
.progress-circle[data-value="09"]   .progress-barre {transform: rotate(279.00deg)}
.progress-circle[data-value="08"]   .progress-barre {transform: rotate(288.00deg)}
.progress-circle[data-value="07"]   .progress-barre {transform: rotate(297.00deg)}
.progress-circle[data-value="06"]   .progress-barre {transform: rotate(306.00deg)}
.progress-circle[data-value="05"]   .progress-barre {transform: rotate(315.00deg)}
.progress-circle[data-value="04"]   .progress-barre {transform: rotate(324.00deg)}
.progress-circle[data-value="03"]   .progress-barre {transform: rotate(333.00deg)}
.progress-circle[data-value="02"]   .progress-barre {transform: rotate(342.00deg)}
.progress-circle[data-value="01"]   .progress-barre {transform: rotate(351.00deg)}
.progress-circle[data-value="00"]   .progress-barre {transform: rotate(360.00deg)}

.progress-circle:after {
  content: attr(data-value) "s";  /* récup. valeur de progression */
  font-size: 0.4em;              /* taille de la font en % du parent */
  height: 100%;                   /* centrage dans le parent */
  display: flex;
  align-items: center;
  justify-content: center;
  color: black;
  font-weight: bold;  
  /*-- pour effet shadow intérieur --*/
  border-radius: 50%;
  box-shadow: 0 0 .5em rgba(0, 0, 0, .5) inset;
}

/********************************/
/*           Controls           */
/********************************/

/* PC et grosses tablettes */
 @media (min-width: 768px) {
	 
	 #chatbox {
		height: 350px;
		background: #f05274;
		border-radius: 10px 10px 0 0;
		overflow: scroll;
		scrollbar-width: none;
	}
	 
	.control-mobile {
		display: none;
	}
	
	.control-mobile .control-mobile-gif .control-mobile-gif-img
	{
		display:none;
	}
	 
}
 
 /* Mobile strict */
 @media (max-width: 767px) {

	#chatbox {
		height: 210px;
		background: #f05274;
		border-radius: 10px 10px 0 0;
		overflow: scroll;
		scrollbar-width: none;
	}
	 
	.control-mobile {
		margin-top:15px;
		margin-left: auto;
		margin-right: auto;
		width: 260px;
	}
/*	
	.control-mobile {
		margin-left: auto;
		margin-right: auto;
		width: 55px;
		margin-top: 6px;
	}
*/
	 
	.control {
		display: none;
	}
	 
	.mobile-control
	{
		display : inline-block;
		margin-right : 10px;
	}
	 
	.control-mobile {
		display: block;
	}
	
	.control-mobile .control-mobile-sound,
	.control-mobile .control-mobile-clap,
	.control-mobile .control-mobile-suspect	{
		cursor: pointer;
		border-radius: 10px;
		border: solid 3px #a96dbb;
		background-color: #a96dbb;
		width: 50px;
		height: 50px;
		margin-top: 6px;
	}
	
	.control-mobile .control-mobile-gif {
		cursor: pointer;
		border-radius: 10px;
		border: solid 3px #a96dbb;
		background-color: #a96dbb;
		width: 50px;
		height: 50px;
	}

	.control-mobile .control-mobile-sound:hover,
	.control-mobile .control-mobile-clap:hover,
	.control-mobile .control-mobile-suspect:hover,
	.control-mobile .control-mobile-gif:hover
	{
		/*border: solid 3px #f9f9f9;*/
		background-color: #ce88e3;
		/*border: solid 3px #eaabfd;*/
		border: solid 3px #ce88e3;
	}

	.control-mobile .control-mobile-sound,
	.control-mobile .control-mobile-clap,
	.control-mobile .control-mobile-suspect	{
		margin-right: 0.5em;
	}

	.control-mobile .control-mobile-sound .control-mobile-sound-img,
	.control-mobile .control-mobile-clap .control-mobile-clap-img,
	.control-mobile .control-mobile-suspect .control-mobile-suspect-img	{
		width: 38px;
		color: white;
		font-size: 3em;
		text-align: center;
	}
	.control-mobile .control-mobile-gif .control-mobile-gif-img
	{
		width: 38px;
		font-size: 1.7em;
		text-align: center;
		font-family: 'Fredoka One', cursive;
		line-height: 42px;
	}

	.control-mobile .control-mobile-sound .control-mobile-sound-img {
		color: #202020;
	}

	.control-mobile .control-mobile-clap .control-mobile-clap-img {
		color: #ffe725;
	}
	
	.control-mobile .control-mobile-suspect .control-mobile-suspect-img {
		color: #F39C12;
	}

	.control-mobile .control-mobile-gif .control-mobile-gif-img {
		color: #fff;
	}
 
 }
	 


.game-presenter .control{
    position: absolute;
    top: -10px;
    right: -5em;
}

.control-sound
{
	margin-top: 12px;
}

.game-presenter .control .control-sound,
.game-presenter .control .control-clap,
.game-presenter .control .control-gif,
.game-presenter .control .control-suspect {
    cursor: pointer;
    border-radius: 10px;
    border: solid 3px #a96dbb;
    background-color: #a96dbb;
    width: 50px;
    height: 50px;
}

.game-presenter .control .control-sound:hover,
.game-presenter .control .control-clap:hover,
.game-presenter .control .control-gif:hover,
.game-presenter .control .control-suspect:hover
{
    /*border: solid 3px #f9f9f9;*/
    background-color: #ce88e3;
    /*border: solid 3px #eaabfd;*/
    border: solid 3px #ce88e3;
}

.game-presenter .control .control-sound,
.game-presenter .control .control-clap,
.game-presenter .control .control-suspect {
    margin-bottom: 0.5em;
}

.game-presenter .control .control-sound .control-sound-img,
.game-presenter .control .control-clap .control-clap-img,
.game-presenter .control .control-suspect .control-suspect-img {
    width: 38px;
    color: white;
    font-size: 3em;
    text-align: center;
}
.game-presenter .control .control-gif .control-gif-img
{
	width: 38px;
    font-size: 1.7em;
    text-align: center;
	font-family: 'Fredoka One', cursive;
	line-height: 42px;
}

.game-presenter .control .control-sound .control-sound-img {
    color: #202020;
}

.game-presenter .control .control-clap .control-clap-img {
    color: #ffe725;
}

.game-presenter .control .control-gif .control-gif-img {
    color: #fff;
}

.game-presenter .control .control-suspect .control-suspect-img {
    color: #F39C12;
}

/********************************/
/* Scoreboard / List of players */
/********************************/

#score {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    flex-wrap: wrap;
    width: 95%;
    height: 172px;
    margin-left: 1rem;
    margin-top: 1rem;
    position: relative;
}

/*
   Point bubble notification
   TODO: Animations appearing/disappearing
 */
#score-good-answer {
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
    background-color: #ffffffb3;
    text-shadow: 1px 1px 0 black;
    width: 45%;
    border-radius: 6em;
	z-index: 1100;
}

#score-good-answer #score-good-answer-points {
    color: #df4b4b;
    font-size: 7em;
    font-weight: bold;
    top: -0.12em;
    position: relative;
}

#score-good-answer #score-good-answer-label {
    display: block;
    padding: 0;
    font-size: 2em;
    color: white;
    text-transform: uppercase;
    font-weight: bold;
    margin: -0.5em 0 0 0;
    text-align: center;
    top: -0.6em;
    position: relative;
}

.player {
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    background-color: #ba348d;
    color: white;
    position: relative;
    /*padding-left: 0.5em;*/
    font-weight: bold;
    max-width: 49%;
    width:48%;
    height: 2.5rem;
    box-sizing: border-box;
    margin-bottom: 3px;
    margin-right: 3px;
}

.player.player-good-answer {
    /*background-color: #f2d142;*/
    background-color: #4ebd10;
}

/* TODO: refactor if content is too hard to modify in js */
.player-good-answer-notification {
    content: "1";
    width: 1.5em;
    height: 1.5em;
	line-height: 1.5em;
    border-radius: 20px;
    background: #df4b4b;
    position: absolute;
	z-index: 1050;
    text-align: center;
    left: -0.45em;
    top: -0.45em;
}

.pts-negatif
{
	
}

.pts-positif
{
	color: #3F2;
}

.player .player-pseudo {
    line-height: 2.5rem;
    vertical-align: middle;
    display: inline-block;
    padding: 0;
    margin: 0;
	margin-left:7px;
	font-weight: bold;
}

.player span {
    font-size: 2em;
    position: absolute;
    right: 0.3em;
    padding: 0;
    margin: 0;
    line-height: 2.3rem;
    font-weight: bold;
}

.player-avatar {
    height: 2.5rem;
	width: 2.5rem;
    vertical-align: middle;
    display: inline-block;
    border-radius: 10px 0 0 10px;
}

.avatar-level
{
	height: 2.5rem;
    vertical-align: middle;
    display: inline-block;
    border-radius: 10px 0 0 10px;
	position:absolute;
	margin-left: -2.5rem;
}

/********************************/
/*    Presenter question box    */
/********************************/

#questionbox {
    height: auto;
    background-color: #ba348d;
    border-radius: 10px;
    border: solid 4px white;
    margin-bottom: 1em;
    margin-top: 1em;
	height: 100px;
}

#questionbox p {
    color: white;
    padding: 0 1em 0 1em;
}

#questionbox p span {
    text-transform: uppercase;
    font-weight: bold;
}


/********************************/
/*             Chat             */
/********************************/

.microavatar
{
	width: 32px;
	height: 32px;
	border: 2px solid white;
	border-radius: 3px 3px 3px 3px;
}

#chatbox::-webkit-scrollbar {
    display: none;  /* Hide scrollbar on Safari and Chrome */
}

#chatbox .message {
    color: white;
    background: rgba(255, 255, 255, 0.2);
    padding: 0.5em 0.2em 0.5em 0.8em;
}

#chatbox .message:nth-child(2n) {
    background: rgba(255, 255, 255, 0.3);
}

#chatbox .message:hover {
    background: rgba(255, 255, 255, 0.5);
    font-weight: bold;
}

#chatbox .message-info, #chatbox .message-presenter, #chatbox .message-bad-answer, #chatbox .message-good-answer, #chatbox .message-clap {
    /*background-color: rgba(255,255,255,0.8); old color */
    background-color: rgba(255, 255, 255, 0.87);
    color: #4b90db;
    font-weight: bold;
    text-shadow: white 0 0 0;
    padding: 0.5em 0.2em 0.5em 0.4em;
    display: flex;
    align-items: center;
}

#chatbox .message-discord
{
	/*background-color: rgba(255,255,255,0.8); old color */
    background-color: #5662f6;
    color: #fff;
    font-weight: bold;
    text-shadow: white 0 0 0;
    padding: 0.5em 0.2em 0.5em 0.4em;
    display: flex;
    align-items: center;
}

#chatbox .message-url-forbidden
{
	/*background-color: rgba(255,255,255,0.8); old color */
    background-color: #fa3804;
    color: #fff;
    font-weight: bold;
    text-shadow: white 0 0 0;
    padding: 0.5em 0.2em 0.5em 0.4em;
    display: flex;
    align-items: center;
}

#chatbox .message-connect
{
	/*background-color: rgba(255,255,255,0.8); old color */
    background-color: #12bf00;
    color: #fff;
    font-weight: bold;
    text-shadow: black 0 0 0;
    padding: 0.5em 0.2em 0.5em 0.4em;
    display: flex;
    align-items: center;
}

#chatbox .message-disconnect
{
	/*background-color: rgba(255,255,255,0.8); old color */
    background-color: #c20000;
    color: #fff;
    font-weight: bold;
    text-shadow: black 0 0 0;
    padding: 0.5em 0.2em 0.5em 0.4em;
    display: flex;
    align-items: center;
}

#chatbox .message-info {
    color: #4b90db;
}

#chatbox .message-discord {
    color: #fff;
}

#chatbox .message-presenter,
#chatbox .message-clap {
    color: #343537;
}

#chatbox .message-presenter .message-presenter-label,
#chatbox .message-info .message-info-label,
#chatbox .message-clap .message-clap-label,
#chatbox .message-connect .message-connect-label,
#chatbox .message-disconnect .message-disconnect-label{
    line-height: 1.2em;
    margin: 0;
    padding-left: 0.2rem;
}

#chatbox .message-info .message-info-img,
#chatbox .message-presenter .message-presenter-img,
#chatbox .message-discord .message-presenter-img,
#chatbox .message-clap .message-clap-img,
#chatbox .message-connect .message-connect-img,
#chatbox .message-disconnect .message-disconnect-img{
    width: 40px;
}

#chatbox .message-good-answer {
    font-weight: bold;
    color: #4ebd10;
    background-color: rgba(255, 255, 255, 0.87);
    padding: 0.5em 0.2em 0.5em 0.8em;
}

#chatbox .message-bad-answer {
    font-weight: bold;
    color: #dd0000;
    background-color: rgba(255, 255, 255, 0.87);
    padding: 0.5em 0.2em 0.5em 0.8em;
}

#message-send {
    width: 100%;
    height: 3.5em;
    box-shadow: none;
    box-sizing: border-box;
	border-width: 0;
    outline: none;
    margin-top: 0;
    padding-left: 16px;
	padding-right: 65px;
}

#toPresentator {
    width: 100%;
    height: 3.5em;
    border-radius: 0 0 10px 10px;
    box-shadow: none;
    box-sizing: border-box;
	border-width: 0;
    outline: none;
    margin-top: 0;
    padding-left: 16px;
	padding-right: 16px;
	padding-top:7px;
	background-color: white;
	color: #572590;
}

#toPresentatorQCM {
    width: 100%;
    box-shadow: none;
	border-radius: 0 0 10px 10px;
    box-sizing: border-box;
	border-width: 0;
    outline: none;
    margin-top: 0;
    padding-left: 16px;
	padding-right: 16px;
	padding-top:7px;
	background: rgb(153,0,204);
	background: linear-gradient(0deg, rgba(153,0,204,1) 70%, rgba(255,255,255,1) 78%);
	color: #572590;
}





#gif-send {	
	display:none;
	position: absolute;
    border-radius: 0 15px 15px 0px;
    box-shadow: none;
    box-sizing: border-box;
	border-width: 0;
    outline: none;
	background: rgb(169,109,187);
	background: linear-gradient(90deg, rgba(169,109,187,0) 0%, rgba(169,109,187,0) 8%, rgba(255,255,255,1) 20%);
	padding-left: 18px;
}

#gif-send-mobile {	
	display:none;
	position: absolute;
    border-radius: 0 15px 15px 0px;
    box-shadow: none;
    box-sizing: border-box;
	border-width: 0;
    outline: none;
	background: rgb(169,109,187);
	background: linear-gradient(90deg, rgba(169,109,187,0) 0%, rgba(169,109,187,0) 8%, rgba(255,255,255,1) 20%);
	padding-left: 18px;
}

/* PC et grosses tablettes */
 @media (min-width: 768px) {
 
	#clap-elapsed
	{
		position: relative;
		color: rgba(250,0,0,0.4);
		font-weight: bold;
		display: none;
		left: 4px;
		top: -52px;
		font-size: 1.7em;
		text-shadow: rgba(0,0,0,0.4) 1px 1px 2px;
		-webkit-touch-callout: none; /* iOS Safari */
		-webkit-user-select: none; /* Safari */
		-khtml-user-select: none; /* Konqueror HTML */
		-moz-user-select: none; /* Old versions of Firefox */
		-ms-user-select: none; /* Internet Explorer/Edge */
		 user-select: none; /* Non-prefixed version, currently
									  supported by Chrome, Edge, Opera and Firefox */
	}
 
 }
 
  /* Mobile strict */
 @media (max-width: 767px) {
 
	#clap-elapsed-mobile
	{
		position: absolute;
		color: rgba(250,0,0,0.4);
		font-weight: bold;
		display: none;
		left: 5px;
		top: -30px;
		font-size: 1.7em;
		text-shadow: rgba(0,0,0,0.4) 1px 1px 2px;
		-webkit-touch-callout: none; /* iOS Safari */
		-webkit-user-select: none; /* Safari */
		-khtml-user-select: none; /* Konqueror HTML */
		-moz-user-select: none; /* Old versions of Firefox */
		-ms-user-select: none; /* Internet Explorer/Edge */
		 user-select: none; /* Non-prefixed version, currently
									  supported by Chrome, Edge, Opera and Firefox */
	}
 
 }

/********************************/
/*  New game (choice of levels) */
/********************************/

/* New game */
.new-game {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    flex-wrap: wrap;
    width: 100%;
    height: 200px;
    margin-left: 2rem;
    margin-top: 1rem;
}

.new-game-title {
    color: white;
    font-size: 2em;
    padding: 0;
    margin: 0.2em 0 0.2em 0;
    font-weight: bold;
}

.new-game-easy, .new-game-normal, .new-game-hard {
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    color: white;
    font-weight: bold;
    line-height: 2.5rem;
    box-sizing: border-box;
    margin-bottom: 3px;
    margin-right: 3px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    border: solid 1px white;
	cursor:pointer;
}

.new-game-easy {
    background-color: #8dd280;
}

.new-game-easy:hover {
    background-color: #9feb92;
}

.new-game-normal {
    background-color: #3d98d2;
}

.new-game-normal:hover {
    background-color: #49a6eb;
}

.new-game-hard {
    background-color: #eb7c70;
}
.new-game-hard:hover {
    background-color: #ff926e;
}

/*******************************/
/***          GIF            ***/
/*******************************/


.pictures { font-size: 0px; }
		

.pictures .item {
  position: relative;
  display: inline-block;
  margin : 5px;
}

.pictures .item img {
  position: relative;
  z-index: 11;
}

.pictures .item .item_description {
  position: absolute;
  z-index: 10;
  left: -15px;
  top: -15px;
  right: -15px;
  bottom: -60px;
  -webkit-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
  -moz-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
  padding: 15px;
  display: none;
}

.pictures .item .item_description span {
  color: #ffffff;
  font-size: 13px;
  display: block;
  position: absolute;
  bottom: 15px;
  height: 30px;
}

.pictures .item:hover { z-index: 100; }

.pictures .tjGalleryItem .item:hover .item_description { display: block; }

/** === Modales === **/

 /* PC et grosses tablettes */
 @media (min-width: 768px) {
	#resultat
	{
	width:500px;
	height:500px;
	border : 2px solid gray;
	overflow-y : auto;
	overflow-x : hidden;
	padding: 15px;
	border-radius: 8px 8px 8px 8px;
	box-shadow : 3px 3px 10px rgba(0,0,0,0.5);
	background: rgb(202,51,213);
	background: linear-gradient(164deg, rgba(202,51,213,1) 0%, rgba(157,21,181,1) 47%, rgba(130,0,255,1) 100%);
	display:none;
	position: absolute;	
	left: 50%;
	top: 50%;
	margin-top: -250px;
	margin-left: -250px;
	z-index: 1899;
    scrollbar-width: none;
	}
 }
 
 /* Mobile strict */
 @media (max-width: 767px) {
	#resultat
	{
	width:400px;
	height:500px;
	border : 2px solid gray;
	overflow-y : auto;
	overflow-x : hidden;
	padding: 15px;
	border-radius: 8px 8px 8px 8px;
	box-shadow : 3px 3px 10px rgba(0,0,0,0.5);
	background: rgb(202,51,213);
	background: linear-gradient(164deg, rgba(202,51,213,1) 0%, rgba(157,21,181,1) 47%, rgba(130,0,255,1) 100%);
	display:none;
	position: absolute;	
	left: 50%;
	top: 50%;
	margin-top: 350px;
	margin-left: -200px;
	z-index: 1899;
    scrollbar-width: none;
	} 
 }
	 
	 

#button-start
{
	width:100%;
	height:2000px;
	background: rgb(202,51,213);
	background: linear-gradient(164deg, rgba(202,51,213,1) 0%, rgba(157,21,181,1) 47%, rgba(130,0,255,1) 100%);
	position: absolute;	
	left: 0%;
	top: 95px;
	z-index: 1900;
	font-size: 4em;
	color: white;
	text-shadow: #000 1px 1px 2px;
	font-family: 'Acme', sans-serif;
	text-align: center;
	padding-top: 50px;
	cursor: url("../images/cursor-enter.png"), pointer;
}


#resultat::-webkit-scrollbar {
    display: none;  /* Hide scrollbar on Safari and Chrome */
}

.item-gif
{
	cursor:pointer;
}

.item-gif:hover
{
	cursor:pointer;
	box-shadow : 0px 0px 15px white;
}